<?php
/**
 * Custom header implementation
 */

function mobile_repair_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'mobile_repair_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1200,
		'height'                 => 220,
		'wp-head-callback'       => 'mobile_repair_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'mobile_repair_custom_header_setup' );

if ( ! function_exists( 'mobile_repair_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see mobile_repair_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'mobile_repair_header_style' );
function mobile_repair_header_style() {

	$mobile_repair_show_site_title_color = esc_attr(get_theme_mod('mobile_repair_show_site_title_color','#fff'));
	$mobile_repair_show_site_tagline_color = esc_attr(get_theme_mod('mobile_repair_show_site_tagline_color','#fff'));
	?>
	<style type="text/css">

		h1.site-title a, p.site-title a {
			color: <?php echo apply_filters('mobile_repair_header', $mobile_repair_show_site_title_color); ?>;
		}

		p.site-description {
			color: <?php echo apply_filters('mobile_repair_header', $mobile_repair_show_site_tagline_color); ?>;
		}

	</style>
		
	<?php

	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$custom_css = "
        .page-template-custom-home-page #header, #header {
			background-image:url('".esc_url(get_header_image())."');
			background-size: 100% 100%;
		}";
	   	wp_add_inline_style( 'mobile-repair-basic-style', $custom_css );
	endif;
}
endif; // mobile_repair_header_style